'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var mapValues = _interopDefault(require('lodash.mapvalues'));

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function parseValue(value, args) {
  if (typeof value === 'function') {
    return value(args);
  } else if (typeof value === 'object' && value.length) {
    return value.map(v => parseValue(v, args));
  }
  return value;
}

class WorkflowTransformerApplyArgumentsToFields {
  async transformBefore() {}
  async transformAfter(node, { args }) {
    switch (node.type) {
      case 'app':
        {
          const { open } = node,
                rest = _objectWithoutProperties(node, ['open']);
          return _extends({ open }, mapValues(rest, v => parseValue(v, args)));
        }
    }
  }
}

module.exports = WorkflowTransformerApplyArgumentsToFields;
